Partnermanaged 3 endpoints

POST /partner-managed/employees/{employee_id}/contracts/{contract_id}/signatures

Sign a contract as a employee.

operationId: PartnerManaged_signContract

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Request Body

Contract signature object that needs to be created

application/json
schema EmployeeContractSignatureToCreateContainer
Property Type Required
data object required
signature string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /partner-managed/employees/{employee_id}/contracts/{contract_id}/signatures
GET /partner-managed/employees/{employee_id}/payslips

Get list of payslips for an EOR employee.

operationId: PartnerManaged_listPayslipsForEorEmployee

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/payslips
GET /partner-managed/employees/{employee_id}/tax-documents

Get list of tax documents for an employee.

operationId: PartnerManaged_listTaxDocumentsForEmployee

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/tax-documents

People 14 endpoints

POST /hris/direct-employees
operationId: People_createDirectEmployee

Request Body

Hris direct employee object that will be created

application/json
schema HrisDirectEmployee
Property Type Required
contract object required
compensation object required
currency string required
gross_annual_salary number required
vacation_info object optional
vacation_yearly_policy number required
vacation_accrual_start_date string required
job_information object required
employee_details object required
email string required
state string optional
country string required
last_name string required
first_name string required
work_email string required
nationality string required
team_information object required
team_id number required
legal_entity_id number required

Responses

201

Hris direct employee object that was created or edited

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

409

A matching profile already exists

500

Operation failed.

POST /hris/direct-employees
GET /internal/people
operationId: People_getList

Parameters

Name In Required Type Description
offset query optional number

Return a page of results with given number of records.

limit query optional number

Return a page of results with given number of records.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /internal/people
GET /people

Retrieve a list of People in your organization.

operationId: People_getList

Parameters

Name In Required Type Description
offset query optional number

Return a page of results with given number of records.

limit query optional number

Return a page of results with given number of records.

search query optional string

Include a contract if by name or contractor name contains given search term.

sort_by query optional

Sort people by given field name.

sort_order query optional

Order direction of results; ascending or descending.

hiring_statuses[] query optional

Employee’s current hiring status.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /people
GET /people/me
operationId: People_getCurrentProfile

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /people/me
GET /people/{worker_id}

Retrieve a single person in your organization.

operationId: People_getPerson

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /people/{worker_id}
PUT /people/{worker_id}/department

Update worker department.

operationId: People_updateDepartment

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

Detail of the department data to attach for worker.

application/json
schema UpdateWorkerDepartmentContainer
Property Type Required
data object required
department_id string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

PUT /people/{worker_id}/department
GET /people/{worker_id}/time-offs

List of time offs by worker id. Worker id can be retreived using /people endpoint.

operationId: People_listTimeOffsByWorkerId

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /people/{worker_id}/time-offs
POST /people/{worker_id}/time-offs

Add a time off request for a worker. New requests are auto-approved.

operationId: People_addTimeOffRequest

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

Detail of the time off that will be registered to the contract.

multipart/form-data
schema CreatePeopleTimeoff
Property Type Required
type string required
reason string required
end_date string required
start_date string required
attachments string optional

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

POST /people/{worker_id}/time-offs
GET /people/{worker_id}/time-offs/entitlements

Retrieve a list of time off entitlements for a worker.

operationId: People_listTimeOffEntitlements

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /people/{worker_id}/time-offs/entitlements
GET /people/{worker_id}/time-offs/policies

Retrieve a list of time off policies for a worker.

operationId: People_listTimeOffPolicies

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /people/{worker_id}/time-offs/policies
DELETE /people/{worker_id}/time-offs/{timeoff_id}

Delete a time off request.

operationId: People_deleteTimeOffRequest

Parameters

Name In Required Type Description
timeoff_id path optional string

Unique identifier for a time-off in Deel.

worker_id path optional string

Unique identifier for a worker.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

DELETE /people/{worker_id}/time-offs/{timeoff_id}
PATCH /people/{worker_id}/time-offs/{timeoff_id}

Edit a time off request for a worker.

operationId: People_editTimeOffRequest

Parameters

Name In Required Type Description
timeoff_id path optional string

Unique identifier for a time-off in Deel.

worker_id path optional string

Unique identifier for a worker.

Request Body

Detail of the time off that will be updated.

multipart/form-data
schema PeopleTimeOffContainer
Property Type Required
type string optional
reason string optional
end_date string optional
start_date string optional
attachments string optional

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PATCH /people/{worker_id}/time-offs/{timeoff_id}
PATCH /people/{worker_id}/time-offs/{timeoff_id}/review

Approve or decline a time off request. New requests are auto-approved. Hence they don’t need to be manually approved.

operationId: People_reviewTimeOff

Parameters

Name In Required Type Description
timeoff_id path optional string

Unique identifier for a time-off in Deel.

worker_id path optional string

Unique identifier for a worker.

Request Body

Timeoff acceptance approve or decline.

application/json
schema TimeoffToReviewInternalContainer
Property Type Required
data object required
reason string optional
status string required

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PATCH /people/{worker_id}/time-offs/{timeoff_id}/review
PUT /people/{worker_id}/working-location

Update worker working location.

operationId: People_updateWorkingLocation

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

Detail of the working location data to attach for worker.

application/json
schema UpdateWorkerWorkingLocationContainer
Property Type Required
data object required
working_location_id string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

PUT /people/{worker_id}/working-location

Serviceproviderconfig 1 endpoints

GET /ServiceProviderConfig
operationId: ServiceProviderConfig_getDetails

Responses

200

successful operation

GET /ServiceProviderConfig

Tasks 5 endpoints

GET /contracts/{contract_id}/tasks

Retrieve a list of tasks for a given contract.

operationId: Tasks_getContractTasks

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/tasks
POST /contracts/{contract_id}/tasks

Create a new task for the contractor.

operationId: Tasks_createNewTask

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Request Body

Contract object that needs to be created

application/json
schema InputToCreatePgoTask
Property Type Required
data object required
amount string required
attachment object optional
key string required
filename string required
description string required
date_submitted string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/tasks
POST /contracts/{contract_id}/tasks/many/reviews

Review multiple tasks to approve or decline the submitted work.

operationId: Tasks_reviewManyTasks

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Request Body

Timesheet review objects that need to be created

application/json
schema RequestBodyToCreatePgoTaskReviewsReviewsContainer
Property Type Required
data object required
ids array required
reason string optional
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/tasks/many/reviews
DELETE /contracts/{contract_id}/tasks/{task_id}

Delete task from the contract.

operationId: Tasks_deleteFromContract

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

task_id path optional string

ID of task entity.

reason query optional string

Reason for deleting an existing task

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

DELETE /contracts/{contract_id}/tasks/{task_id}
POST /contracts/{contract_id}/tasks/{task_id}/reviews

Review a single task to approve or decline the submitted work.

operationId: Tasks_submitTaskReview

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

task_id path optional string

ID of task entity.

Request Body

Timesheet review objects that need to be created

application/json
schema RequestBodyToCreatePgoTaskReviewsByIdReviewsContainer
Property Type Required
data object required
reason string optional
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/tasks/{task_id}/reviews

Timeoff 7 endpoints

GET /contracts/{contract_id}/entitlements

Retrieve a list of time off entitlements for a full-time employee.

operationId: TimeOff_listEntitlements

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/entitlements
GET /contracts/{contract_id}/time-offs

Retrieve the list of time off requests by an employee.

operationId: TimeOff_listByContract

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/time-offs
POST /contracts/{contract_id}/time-offs

Add a time off request for a full-time employee.

operationId: TimeOff_addRequestObsolete

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Request Body

Detail of the time off that will be registered to the contract.

application/json
schema CreateTimeoffContainer
Property Type Required
data object required
type string required
reason string optional
end_date string optional
start_date string optional
other_timeoff_name string optional
with_multiple_dates boolean required
is_end_date_half_day boolean optional
is_start_date_half_day boolean optional

Responses

201

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/time-offs
DELETE /contracts/{contract_id}/time-offs/{timeoff_id}

Cancel a time off request for an employee.

operationId: TimeOff_cancelRequestObsolete

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

timeoff_id path optional string

Time off Id

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

DELETE /contracts/{contract_id}/time-offs/{timeoff_id}
PUT /contracts/{contract_id}/time-offs/{timeoff_id}

Edit a time off request for a full-time employee.

operationId: TimeOff_editRequestObsolete

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

timeoff_id path optional string

Time off Id

Request Body

Detail of the time off that will be registered to the contract.

application/json
schema CreateTimeoffContainer
Property Type Required
data object required
type string required
reason string optional
end_date string optional
start_date string optional
other_timeoff_name string optional
with_multiple_dates boolean required
is_end_date_half_day boolean optional
is_start_date_half_day boolean optional

Responses

201

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PUT /contracts/{contract_id}/time-offs/{timeoff_id}
GET /time-offs

List of time offs for all employees in your organization.

operationId: TimeOff_getAllObsolete

Responses

200

successful operation

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /time-offs
PATCH /time-offs/{timeoff_id}/review

Approve or decline an employee’s time off request.

operationId: TimeOff_manageRequest

Parameters

Name In Required Type Description
timeoff_id path optional string

Time off Id

Request Body

Timeoff acceptance approve or decline.

application/json
schema TimeoffToReviewContainer
Property Type Required
data object required
is_approved boolean required
denial_reason string optional

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

PATCH /time-offs/{timeoff_id}/review

Timesheets 8 endpoints

GET /contracts/{contract_id}/timesheets

Retrieve a list of timesheets found for a contract.

operationId: Timesheets_listByContract

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

contract_types query optional

Types of contracts to filter.

statuses query optional

Statuses of timesheets to filter.

reporter_id query optional number

ID of an existing profile; NOTE: technically ALL query parameters are strings or array of strings

date_from query optional

Filtered results will include records created on or after the provided date.

date_to query optional

Filtered results will include records created before the provided date.

limit query optional number

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offset query optional number

Return a page of results after given index of row

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/timesheets
GET /timesheets

Retrieve a list of timesheets in your Deel account. You can filter the list by providing additional paramters e.g. contract_id, contract_type etc.

operationId: Timesheets_getList

Parameters

Name In Required Type Description
contract_id query optional string

Id of a Deel contract.

contract_types query optional

Types of contracts to filter.

statuses query optional

Statuses of timesheets to filter.

reporter_id query optional number

ID of an existing profile; NOTE: technically ALL query parameters are strings or array of strings

date_from query optional

Filtered results will include records created on or after the provided date.

date_to query optional

Filtered results will include records created before the provided date.

limit query optional number

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offset query optional number

Return a page of results after given index of row

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /timesheets
POST /timesheets

Submit work for a contractor.

operationId: Timesheets_submitWorkForContractor

Request Body

Timesheet object that needs to be created

application/json
schema TimesheetToCreateContainer
Property Type Required
data object required
quantity number required
contract_id string required
description string required
date_submitted string required
multipart/form-data
schema TimesheetToCreateWithFile
Property Type Required
quantity number required
contract_id string required
description string required
date_submitted string required
file string optional

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /timesheets
POST /timesheets/many/reviews

Review a batch of timesheets to approve or reject submitted work.

operationId: Timesheets_reviewMultiple

Request Body

Timesheet review objects that need to be created

application/json
schema TimesheetReviewsToCreateContainer
Property Type Required
data object required
ids array required
reason string optional
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /timesheets/many/reviews
DELETE /timesheets/{timesheet_id}

Delete a single timesheet entry.

operationId: Timesheets_deleteEntry

Parameters

Name In Required Type Description
timesheet_id path optional number

ID of an existing timesheet

reason query optional string

Reason for deleting an existing timesheet

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

DELETE /timesheets/{timesheet_id}
GET /timesheets/{timesheet_id}

Retrieve a single timesheet entry by Id.

operationId: Timesheets_getSingleEntry

Parameters

Name In Required Type Description
timesheet_id path optional number

ID of an existing timesheet

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /timesheets/{timesheet_id}
PATCH /timesheets/{timesheet_id}

Update a single timesheet entry.

operationId: Timesheets_updateEntry

Parameters

Name In Required Type Description
timesheet_id path optional number

ID of an existing timesheet

Request Body

Timesheet object that needs to be updated

application/json
schema TimesheetToUpdateContainer
Property Type Required
data object required
quantity number required
description string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

PATCH /timesheets/{timesheet_id}
POST /timesheets/{timesheet_id}/reviews

Review a timesheet to approve or decline submitted work.

operationId: Timesheets_reviewSingleTimesheet

Parameters

Name In Required Type Description
timesheet_id path optional number

ID of an existing timesheet

Request Body

Timesheet review object that need to be created

application/json
schema TimesheetReviewToCreateContainer
Property Type Required
data object required
reason string optional
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /timesheets/{timesheet_id}/reviews

Token 1 endpoints

POST /public-tokens

Create a public token to use with embedded Deel SDK components.

operationId: Token_createPublicToken

Request Body

Public token object that needs to be created.

application/json
schema CreatePublicTokenContainer
Property Type Required
data object required
scope array optional

Responses

201

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

POST /public-tokens

User 7 endpoints

GET /Users

Retrieve a list of users in Deel HR.

operationId: User_listDeelUsers

Parameters

Name In Required Type Description
filter query optional string

Filter results by a given value. For now, only supports equal (eq) expression for “email” filter.

startIndex query optional integer

Start index. (1-based)

count query optional integer

Page size.

Responses

200

Successful operation.

400

Bad request.

401

Unauthorized.

403

Forbidden.

429

Too many requests.

500

Internal server error

GET /Users
POST /Users
operationId: User_createUser

Request Body

a new user without ‘id’

application/json
schema CreateClientUser
Property Type Required
name object required
givenName string optional
familyName string optional
schemas array required
userName string required
userType string required
application/scim+json
schema CreateClientUser
Property Type Required
name object required
givenName string optional
familyName string optional
schemas array required
userName string required
userType string required

Responses

201

successfully created user

400

bad request

401

authorization failure

403

permissions denied

404

not found

409

duplicate email

429

too many requests

500

internal server error

POST /Users
POST /Users/.search
operationId: User_searchOrList

Request Body

search parameters

application/json
schema SearchRequest
Property Type Required
count integer optional
filter string optional
schemas array optional
startIndex integer optional
application/scim+json
schema SearchRequest
Property Type Required
count integer optional
filter string optional
schemas array optional
startIndex integer optional

Responses

200

successful operation

400

bad request

401

authorization failure

403

permissions denied

429

too many requests

500

internal server error

POST /Users/.search
DELETE /Users/{id}
operationId: User_deleteUser

Parameters

Name In Required Type Description
id path required string

user id

Responses

204

successfully deleted

401

authorization failure

403

permissions denied

404

not found

429

too many requests

500

internal server error

DELETE /Users/{id}
GET /Users/{id}

Retrieve a single user by id.

operationId: User_getById

Parameters

Name In Required Type Description
id path required string

Retrieve a single user by id.

Responses

200

Successful operation.

401

Unauthorized.

403

Forbidden.

404

Not found.

429

Too many requests.

500

Internal server error,

GET /Users/{id}
PATCH /Users/{id}
operationId: User_partiallyUpdateUser

Parameters

Name In Required Type Description
id path required string

user id

Request Body

patch operations list

application/json
schema UserPatch
Property Type Required
schemas array required
Operations array required
op string required
path string optional
value object optional
application/scim+json
schema UserPatch
Property Type Required
schemas array required
Operations array required
op string required
path string optional
value object optional

Responses

200

successfully partially updated user

400

bad request

401

authorization failure

403

permissions denied

404

not found

409

duplicate email

429

too many requests

500

internal server error

PATCH /Users/{id}
PUT /Users/{id}
operationId: User_updateUserById

Parameters

Name In Required Type Description
id path required string

user id

Request Body

an existing user

application/json
schema User
Property Type Required
id string optional
meta object required
created string optional
version string optional
location string optional
lastModified string optional
resourceType string optional
name object required
givenName string required
familyName string required
title string optional
active boolean optional
emails array required
type string required
value string required
primary boolean optional
schemas array required
userName string required
userType string optional
urn:ietf:params:scim:schemas:extension:2.0:User object optional
state string optional
country string optional
endDate string optional
startDate string optional
employments array optional
state string optional
title string optional
active boolean optional
country string optional
startDate string optional
contractId string optional
contractType string optional
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object optional
manager object optional
value string required
costCenter string optional
department string optional
organization string optional
application/scim+json
schema User
Property Type Required
id string optional
meta object required
created string optional
version string optional
location string optional
lastModified string optional
resourceType string optional
name object required
givenName string required
familyName string required
title string optional
active boolean optional
emails array required
type string required
value string required
primary boolean optional
schemas array required
userName string required
userType string optional
urn:ietf:params:scim:schemas:extension:2.0:User object optional
state string optional
country string optional
endDate string optional
startDate string optional
employments array optional
state string optional
title string optional
active boolean optional
country string optional
startDate string optional
contractId string optional
contractType string optional
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object optional
manager object optional
value string required
costCenter string optional
department string optional
organization string optional

Responses

200

successfully fully updated a user

400

bad request

401

authorization failure

403

permissions denied

404

not found

409

duplicate email

429

too many requests

500

internal server error

PUT /Users/{id}

Webhooks 4 endpoints

GET /webhooks

Retrieve a list of webhook subscriptions.

operationId: Webhooks_listWebhookSubscriptions

Responses

200

successful operation

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /webhooks
POST /webhooks

Create a new webhooks subscription.

operationId: Webhooks_createSubscription

Request Body

required
application/json
schema CreateWebhookRequest
Property Type Required
url string required
name string required
events array required
status string required
api_version string required
description string required
signing_key string required

Responses

201

successful operation

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /webhooks
GET /webhooks/events/types

Retrieve a list of webhook event types.

operationId: Webhooks_listEventTypes

Responses

200

successful operation

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /webhooks/events/types
DELETE /webhooks/{id}

Delete a webhook subscription.

operationId: WebhookController_deleteById

Parameters

Name In Required Type Description
id path required string

Responses

200

successful operation

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

DELETE /webhooks/{id}
Load more endpoints